<h3 class="mb-0">{{ 'modules.auth.resetPassword.title' | translate }}</h3>
<small class="d-block px-5">{{ 'modules.auth.resetPassword.subtitle' | translate }}</small>
<form [formGroup]="resetPasswordForm" (ngSubmit)="onSubmit()" method="POST" novalidate class="row mx-0">
    <div class="col-md-12">
        <div class="position-relative px-5 mt-3">
            <input formControlName="password" type="password" class="form-control text-center" placeholder="{{ 'forms.fields.password' | translate }}" required />
        </div>
        <small *ngIf="(resetPasswordForm.get('password').touched || resetPasswordForm.get('password').dirty) && resetPasswordForm.get('password').hasError('required')" class="form-text text-danger">
            {{ 'forms.messages.required' | translate }}
        </small>
    </div>
    <div class="col-md-12">
        <div class="position-relative px-5 mt-2">
            <input formControlName="repeatPassword" type="password" class="form-control text-center" placeholder="{{ 'forms.fields.repeatPassword' | translate }}" required />
        </div>
        <small *ngIf="(resetPasswordForm.get('repeatPassword').touched || resetPasswordForm.get('repeatPassword').dirty) && resetPasswordForm.get('repeatPassword').hasError('required')" class="form-text text-danger">
            {{ 'forms.messages.required' | translate }}
        </small>
        <small *ngIf="(resetPasswordForm.get('repeatPassword').touched || resetPasswordForm.get('repeatPassword').dirty) && !resetPasswordForm.get('repeatPassword').hasError('required') && resetPasswordForm.hasError('mismatch')" class="form-text text-danger">
            {{ 'forms.messages.passwordMismatch' | translate }}
        </small>
    </div>
    <button class="btn btn-primary btn-raised btn-darken-1 w-100 mb-0 mt-3 py-3">{{ 'modules.auth.resetPassword.modify' | translate }}</button>
</form>